Data Flow Debug Session - Query By Factory

Query all active data flow debug sessions.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/queryDataFlowDebugSessions?api-version=2018-06-01

URI Parameters

Name In Required Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The factory name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

QueryDataFlowDebugSessionsResponse

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

DataFlowDebugSession_QueryByFactory

Sample request

POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/queryDataFlowDebugSessions?api-version=2018-06-01

Sample response

Date: Sat, 16 Jun 2018 00:40:01 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: 2f955e10-c6df-45a7-97d4-81acdb8540cd
x-ms-ratelimit-remaining-subscription-reads: 14989
x-ms-request-id: 2f955e10-c6df-45a7-97d4-81acdb8540cd
{
  "value": [
    {
      "computeType": "General",
      "coreCount": 48,
      "dataflowName": "DebugSession-0a7e0d6e-f2b7-48cc-8cd8-618326f5662f",
      "lastActivityTime": "2019-09-05T18:28:00.9459674+00:00",
      "sessionId": "229c688c-944c-44ac-b31a-82d50f347154",
      "startTime": "2019-09-05T18:23:20.3257799+00:00",
      "timeToLiveInMinutes": 60,
      "userObjectId": "0a7e0d6e-f2b7-48cc-8cd8-618326f5662f"
    }
  ]
}

Definitions

Name Description
CloudError

The object that defines the structure of an Azure Data Factory error response.

DataFlowDebugSessionInfo

Data flow debug session info.

QueryDataFlowDebugSessionsResponse

Paged collection of DataFlowDebugSessionInfo items

CloudError

The object that defines the structure of an Azure Data Factory error response.

Name Type Description
error.code

string

Error code.

error.details

CloudError[]

Array with additional error details.

error.message

string

Error message.

error.target

string

Property name/path in request associated with error.

DataFlowDebugSessionInfo

Data flow debug session info.

Name Type Description
computeType

string

Compute type of the cluster.

coreCount

integer (int32)

Core count of the cluster.

dataFlowName

string

The name of the data flow.

integrationRuntimeName

string

Attached integration runtime name of data flow debug session.

lastActivityTime

string

Last activity time of data flow debug session.

nodeCount

integer (int32)

Node count of the cluster. (deprecated property)

sessionId

string

The ID of data flow debug session.

startTime

string

Start time of data flow debug session.

timeToLiveInMinutes

integer (int32)

Compute type of the cluster.

QueryDataFlowDebugSessionsResponse

Paged collection of DataFlowDebugSessionInfo items

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

DataFlowDebugSessionInfo[]

The DataFlowDebugSessionInfo items on this page